Bug 145956 - Printing only possible as member of printer admin CUPS and Samba
Printing only possible as member of printer admin CUPS and Samba
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
http://lists.samba.org/archive/samba-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 07:58 EST by Carsten Crell
Modified: 2012-06-20 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/samba/smb.conf (14.03 KB, text/plain)
2005-01-26 04:46 EST, Carsten Crell
no flags Details

  None (edit)
Description Carsten Crell 2005-01-24 07:58:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041123 Firefox/1.0

Description of problem:
It is impossible to get a samba print-server to work correctly with
cups version cups-1.1.20-11.6. The problem is mentioned also in the
Samba Bugzilla bug 2199. The problem seems to be samba related and
connected to the rights management here. If you are member of the
samba printing admin group you can print. see further information in
the URL above.

Could you please help here?

Version-Release number of selected component (if applicable):
samba-3.0.9-1.3E.1

How reproducible:
Always

Steps to Reproduce:
1. create a printer admin group
2. add a user to it and try to print
3. try to print from windows site with a user which is not in the
samba admin group
    

Actual Results:  only the members of printer admin group are able to
print and receive printer drivers.

Expected Results:  All users should be able to print and receive
printer drivers from Samba.

Additional info:
Comment 1 Jay Fenlason 2005-01-24 16:38:59 EST
Please attach your complete /etc/samba/smb.conf file to this bug 
report, so I can try to reproduce it. 
Comment 2 Carsten Crell 2005-01-26 04:46:53 EST
Created attachment 110240 [details]
/etc/samba/smb.conf

please find attached the smb.conf which is related to our permission problem.
Comment 3 Carsten Crell 2005-01-31 05:12:00 EST
Hi Jay, what is the status here?
Comment 4 Jay Fenlason 2005-02-15 12:06:15 EST
I've made an unofficial, not-officially-supported build of   
Samba-3.0.11 for RHEL3 avaliable at   
http://people.redhat.com/fenlason/.samba/samba{,-common,-client,-swat}-3.0.11-1.3E.i386.rpm   
Please try it and report whether it solves your problems.  If it   
does, I can try to get it included in a future update release.  
Comment 5 Jiri Pallich 2012-06-20 11:54:44 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.